package com.hzya.frame.sys.userTemplateButton.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 用户模板授权表(SysUserTemplateButton)实体类
 *
 * @author makejava
 * @since 2023-08-07 10:39:56
 */
public class SysUserTemplateButtonEntity extends BaseEntity {
 
    /**
     * 唯一标识码
     */
    private String id;
    /**
     * 模版id
     */
    private String templateId;
    /**
     * 服务名
     */
    private String serviceName;
    /**
     * 按钮id
     */
    private String buttonId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人id
     */
    private String modifyUserId;
    /**
     * 修改时间
     */
    private Date modifyTime;
    /**
     * 状态(Y正常N删除)
     */
    private String sts;
    /**
     * 组织机构ID
     */
    private String orgId;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getButtonId() {
        return buttonId;
    }

    public void setButtonId(String buttonId) {
        this.buttonId = buttonId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Long getSorts() {
        return sorts;
    }

    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

}

